--- a/scripts/cleanpublic.pl
+++ b/scripts/cleanpublic.pl
@@ -24,12 +24,6 @@
 		if ($target eq $chan) { return }
 	}
 	
-	# Ruthlessly_ripped_from_Garion {
-	my $twin = Irssi::window_find_name($target);
-	# Beam it to window 1 if we cant find any other suitable target.
-	if (!defined($twin)) { $twin = Irssi::window_find_refnum(1); }
-	# }
-	
 	# Remove formatting
 	$data =~ s/\x03\d?\d?(,\d?\d?)?|\x02|\x1f|\x16|\x06|\x07//g;
 	# Let it flow
